ros-jazzy-python-qt-binding (2.2.1-1noble) noble; urgency=high

  * Suppress warning from Shiboken2. (backport #137 <https://github.com/ros-visualization/python_qt_binding/issues/137>) (#138 <https://github.com/ros-visualization/python_qt_binding/issues/138>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 13 May 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.2.0-1noble) noble; urgency=high

  * Switch to C++17 for SIP and Shiboken (#135 <https://github.com/ros-visualization/python_qt_binding/issues/135>)
  * Set hints to find the python version we actually want. (#134 <https://github.com/ros-visualization/python_qt_binding/issues/134>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 28 Mar 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.1.1-1noble) noble; urgency=high

  * Remove unnecessary parentheses around assert. (#133 <https://github.com/ros-visualization/python_qt_binding/issues/133>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 07 Feb 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.1.0-1noble) noble; urgency=high

  * Switch to FindPython3 in the shiboken_helper.cmake. (#132 <https://github.com/ros-visualization/python_qt_binding/issues/132>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 24 Jan 2024 00:00:00 -0000

ros-jazzy-python-qt-binding (2.0.0-1noble) noble; urgency=high

  * Cleanup of the sip_configure.py file. (#131 <https://github.com/ros-visualization/python_qt_binding/issues/131>)
  * Update the SIP support so we can deal with a broken RHEL-9. (#129 <https://github.com/ros-visualization/python_qt_binding/issues/129>)
  * Contributors: Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Dec 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.3.0-1noble) noble; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.3-1noble) noble; urgency=high

  * Fix to allow ninja to use make for generators (#123 <https://github.com/ros-visualization/python_qt_binding/issues/123>)
  * Fix flake8 linter regression (#125 <https://github.com/ros-visualization/python_qt_binding/issues/125>)
  * Remove pyqt from default binding order for macOS (#118 <https://github.com/ros-visualization/python_qt_binding/issues/118>)
  * Contributors: Christoph Hellmann Santos, Cristóbal Arroyo, Michael Carroll, Rhys Mainwaring

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.2-1noble) noble; urgency=high

  * Demote missing SIP message from WARNING to STATUS (#122 <https://github.com/ros-visualization/python_qt_binding/issues/122>)
  * Contributors: Scott K Logan

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.1-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#120 <https://github.com/ros-visualization/python_qt_binding/issues/120>)
  * Contributors: Audrow Nash

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-jazzy-python-qt-binding (1.2.0-1noble) noble; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 10 May 2022 00:00:00 -0000

ros-jazzy-python-qt-binding (1.1.1-1noble) noble; urgency=high

  * Replace PythonInterp to Python3 COMPONENTS (#108 <https://github.com/ros-visualization/python_qt_binding/issues/108>)
  * Use PyQt5 module path to find SIP bindings (#106 <https://github.com/ros-visualization/python_qt_binding/issues/106>)
  * Contributors: Ben Wolsieffer, Homalozoa X

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 06 Dec 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.1.0-1noble) noble; urgency=high

  * Make FindPythonInterp dependency explicit (#107 <https://github.com/ros-visualization/python_qt_binding/issues/107>)
  * Add note about galactic branch (#104 <https://github.com/ros-visualization/python_qt_binding/issues/104>)
  * fuerte-devel is too new for ROS Electric (#101 <https://github.com/ros-visualization/python_qt_binding/issues/101>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 02 Nov 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.7-1noble) noble; urgency=high

  * Add repo README
  * Shorten some long lines of CMake (#99 <https://github.com/ros-visualization/python_qt_binding/issues/99>)
  * Contributors: Scott K Logan, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.6-1noble) noble; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#98 <https://github.com/ros-visualization/python_qt_binding/issues/98>)
  * Add pytest.ini so local tests don't display warning (#93 <https://github.com/ros-visualization/python_qt_binding/issues/93>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.5-1noble) noble; urgency=high

  * allow a list of INCLUDE_PATH (#92 <https://github.com/ros-visualization/python_qt_binding/issues/92>)
  * Use magic $(MAKE) variable to suppress build warning (#91 <https://github.com/ros-visualization/python_qt_binding/issues/91>)
  * Fix linking with non framework builds of qt (e.g. from conda-forge) (#84 <https://github.com/ros-visualization/python_qt_binding/issues/84>)
  * Contributors: Anton Matosov, Dirk Thomas, Robert Haschke

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.4-1noble) noble; urgency=high

  * remove obsolete function used for backward compatibility (#88 <https://github.com/ros-visualization/python_qt_binding/issues/88>)
  * disable Shiboken with CMake < 3.14 (#87 <https://github.com/ros-visualization/python_qt_binding/issues/87>)
  * fix case of CMake function (#86 <https://github.com/ros-visualization/python_qt_binding/issues/86>)
  * restore QUIET which was reverted in #79 <https://github.com/ros-visualization/python_qt_binding/issues/79>
  * use PySide2 and Shiboken2 targets for variables (#79 <https://github.com/ros-visualization/python_qt_binding/issues/79>)
  * Contributors: Dirk Thomas, Hermann von Kleist

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 05 May 2020 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.3-1noble) noble; urgency=high

  * check if Shiboken2Config.cmake defines a target instead of a variable (#77 <https://github.com/ros-visualization/python_qt_binding/issues/77>)

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 12 Nov 2019 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.2-1noble) noble; urgency=high

  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>)
  * don't add -l prefix if it already exists (#59 <https://github.com/ros-visualization/python_qt_binding/issues/59>)
  * if present, use the sipconfig suggested sip program (#70 <https://github.com/ros-visualization/python_qt_binding/issues/70>)
  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>) (#67 <https://github.com/ros-visualization/python_qt_binding/issues/67>)
  * fixing trivial accidental string concatenation (#66 <https://github.com/ros-visualization/python_qt_binding/issues/66>)

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 30 Sep 2019 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.1-1noble) noble; urgency=high

  * no warnings for unavailable PySide/Shiboken (#58 <https://github.com/ros-visualization/python_qt_binding/issues/58>)

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 11 Dec 2018 00:00:00 -0000

ros-jazzy-python-qt-binding (1.0.0-1noble) noble; urgency=high

  * check for Homebrew's PyQt5 install path (#57 <https://github.com/ros-visualization/python_qt_binding/issues/57>)
  * port to Windows (#56 <https://github.com/ros-visualization/python_qt_binding/issues/56>)
  * fix lint tests (#55 <https://github.com/ros-visualization/python_qt_binding/issues/55>)
  * update sip_configure to handle improper lib names (#54 <https://github.com/ros-visualization/python_qt_binding/issues/54>)
  * port to ROS 2 (#52 <https://github.com/ros-visualization/python_qt_binding/issues/52>)
  * autopep8 (#51 <https://github.com/ros-visualization/python_qt_binding/issues/51>)
  * remove :: from shiboken include path (#48 <https://github.com/ros-visualization/python_qt_binding/issues/48>)

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 10 Dec 2018 00:00:00 -0000

ros-jazzy-python-qt-binding (0.3.4-1noble) noble; urgency=high

  * add support for additional Qt5 modules (#45 <https://github.com/ros-visualization/python_qt_binding/issues/45>)

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 03 Aug 2018 00:00:00 -0000

ros-jazzy-python-qt-binding (0.3.3-1noble) noble; urgency=high

  * Prefer qmake-qt5 over qmake when available (#43 <https://github.com/ros-visualization/python_qt_binding/issues/43>)

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 25 Oct 2017 00:00:00 -0000

ros-jazzy-python-qt-binding (0.3.2-1noble) noble; urgency=high

  * Fix problems on OS X (#40 <https://github.com/ros-visualization/python_qt_binding/pull/40>)

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 23 Jan 2017 00:00:00 -0000

ros-jazzy-python-qt-binding (0.3.1-1noble) noble; urgency=high

  * support for the Qt 5 modules QtWebEngine and QtWebKitWidgets (#37 <https://github.com/ros-visualization/python_qt_binding/issues/37>)

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 21 Apr 2016 00:00:00 -0000

ros-jazzy-python-qt-binding (0.3.0-1noble) noble; urgency=high

  * switch to Qt5 (#30 <https://github.com/ros-visualization/python_qt_binding/issues/30>)
  * print full stacktrace

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 01 Apr 2016 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.18-1noble) noble; urgency=high

  * remove LGPL and GPL from licenses, all code is BSD (#27 <https://github.com/ros-visualization/python_qt_binding/issues/27>)

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 17 Mar 2016 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.17-1noble) noble; urgency=high

  * change import order of builtins to work when the 'future' package is installed in Python 2 (#24 <https://github.com/ros-visualization/python_qt_binding/issues/24>)

 -- Shane Loretz <sloretz@openrobotics.org>  Sat, 19 Sep 2015 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.16-1noble) noble; urgency=high

  * use qmake with QT_SELECT since qmake-qt4 is not available on all platforms (#22 <https://github.com/ros-visualization/python_qt_binding/issues/22>)

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 04 May 2015 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.15-1noble) noble; urgency=high

  * support PyQt4.11 and higher when built with configure-ng.py (#13 <https://github.com/ros-visualization/python_qt_binding/issues/13>)
  * __builtin__ became builtins in Python 3 (#16 <https://github.com/ros-visualization/python_qt_binding/issues/16>)

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 23 Apr 2015 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.14-1noble) noble; urgency=high

  * add Python_ADDITIONAL_VERSIONS and ask for specific version of PythonInterp
  * fix finding specific version of PythonLibs with CMake 3 (#11 <https://github.com/ros-visualization/python_qt_binding/issues/11>)
  * fix sip_helper to use python header dirs on OS X (#12 <https://github.com/ros-visualization/python_qt_binding/issues/12>)

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 10 Jul 2014 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.13-1noble) noble; urgency=high

  * fix sip arguments when path contains spaces

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.12-1noble) noble; urgency=high

  * python 3 compatibility
  * fix sip bindings when paths contain spaces (#9 <https://github.com/ros-visualization/python_qt_binding/issues/9>)

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 Jan 2014 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.11-1noble) noble; urgency=high

  * allow overriding binding order
  * allow to release python_qt_binding as a standalone package to PyPI (#5 <https://github.com/ros-visualization/python_qt_binding/issues/5>)

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 21 Aug 2013 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.10-1noble) noble; urgency=high

  * refactor loadUi function to be documentable (#2 <https://github.com/ros-visualization/python_qt_binding/issues/2>)

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 06 Jun 2013 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.9-1noble) noble; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 19 Apr 2013 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.8-1noble) noble; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 13 Jan 2013 00:00:00 -0000

ros-jazzy-python-qt-binding (0.2.7-1noble) noble; urgency=high

  * first public release for Groovy

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 21 Dec 2012 00:00:00 -0000


